<template functional>
  <div
    :ref="data.ref"
    class="a-cluster-l"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <!--
      @slot Child elements.
    -->
    <slot />
  </div>
</template>

<script>
export default {
  name: 'AClusterL',
};
</script>

<style>
.a-cluster-l {
  --a-cluster-l--def-justify: flex-start; /* n/a */
  --a-cluster-l--def-align: center; /* n/a */
  --a-cluster-l--def-space: 0.5rem; /* theme('spacing.2') */

  --cluster-l--space: var(--a-cluster-l--space, var(--a-cluster-l--def-space));
}
/* prettier-ignore */
.a-cluster-l:not(.reset) {
  --a-cluster-l--def-overflow-x: hidden; /* n/a */
  --a-cluster-l--def-overflow-y: hidden; /* n/a */

  overflow-x: var(--a-cluster-l--overflow-x, var(--a-cluster-l--def-overflow-x));
  overflow-y: var(--a-cluster-l--overflow-y, var(--a-cluster-l--def-overflow-y));
}
.a-cluster-l > * {
  display: flex;
  flex-wrap: wrap;
  justify-content: var(--a-cluster-l--justify, var(--a-cluster-l--def-justify));
  align-items: var(--a-cluster-l--align, var(--a-cluster-l--def-align));
  margin: calc(var(--cluster-l--space) / 2 * -1);
}
.a-cluster-l > * > * {
  margin: calc(var(--cluster-l--space) / 2);
}
</style>
